package cn.bjsxt.plane;

import cn.bjsxt.plane.Bullet;
import cn.bjsxt.plane.Explode;
import cn.bjsxt.plane.Plane;
import cn.bjsxt.util.GameUtil;
import cn.bjsxt.util.MyFrame;
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.image.ImageObserver;
import java.util.ArrayList;
import java.util.Date;

public class PlaneGameFrame extends MyFrame {

   private static final long serialVersionUID = 1L;
   Image bg = GameUtil.getImage("images/bg.jpg");
   Plane p = new Plane("images/plane.png", 50.0D, 50.0D);
   ArrayList bulletList = new ArrayList();
   Explode bao;
   Date startTime;
   Date endTime;


   public void paint(Graphics g) {
      g.drawImage(this.bg, 0, 0, (ImageObserver)null);
      this.p.draw(g);

      int period;
      for(period = 0; period < this.bulletList.size(); ++period) {
         Bullet b = (Bullet)this.bulletList.get(period);
         b.draw(g);
         boolean peng = b.getRect().intersects(this.p.getRect());
         if(peng) {
            this.p.setLive(false);
            if(this.bao == null) {
               this.endTime = new Date();
               this.bao = new Explode(this.p.x, this.p.y);
            }

            this.bao.draw(g);
         }
      }

      if(!this.p.isLive()) {
         this.printInfo(g, "兄弟就死了的嘛", 50, 150, 200);
         period = (int)((this.endTime.getTime() - this.startTime.getTime()) / 1000L);
         this.printInfo(g, "你的持久度才" + period + "秒", 50, 150, 250);
         switch(period / 10) {
         case 0:
            this.printInfo(g, "真.头顶一片青青草原", 50, 150, 300);
            break;
         case 1:
            this.printInfo(g, "这东西你也要抢着带？", 50, 150, 300);
            break;
         case 2:
            this.printInfo(g, "如果梦想有颜色，那一定是原谅色", 40, 30, 300);
            break;
         case 3:
            this.printInfo(g, "哟，炊事班长呀兄弟", 50, 150, 300);
            break;
         case 4:
            this.printInfo(g, "加油你就是下一个老王", 50, 150, 300);
            break;
         case 5:
            this.printInfo(g, "如果撑过一分钟我岂不是很没面子", 40, 30, 300);
            break;
         case 6:
            this.printInfo(g, "flag{RGFqaURhbGlfSmlud2FuQ2hpamk=}", 50, 150, 300);
         }
      }

   }

   public void printInfo(Graphics g, String str, int size, int x, int y) {
      Color c = g.getColor();
      g.setColor(Color.RED);
      Font f = new Font("宋体", 1, size);
      g.setFont(f);
      g.drawString(str, x, y);
      g.setColor(c);
   }

   public static void main(String[] args) {
      (new PlaneGameFrame()).launchFrame();
   }

   public void launchFrame() {
      super.launchFrame();
      this.addKeyListener(new PlaneGameFrame.KeyMonitor());

      for(int i = 0; i < 60; ++i) {
         Bullet b = new Bullet();
         this.bulletList.add(b);
      }

      this.startTime = new Date();
   }

   class KeyMonitor extends KeyAdapter {

      public void keyPressed(KeyEvent e) {
         System.out.println("按下:" + e.getKeyCode());
         switch(e.getKeyCode()) {
         case 37:
            PlaneGameFrame.this.p.left = true;
            break;
         case 38:
            PlaneGameFrame.this.p.up = true;
            break;
         case 39:
            PlaneGameFrame.this.p.right = true;
            break;
         case 40:
            PlaneGameFrame.this.p.down = true;
         }

         super.keyPressed(e);
      }

      public void keyReleased(KeyEvent e) {
         System.out.println("释放:" + e.getKeyCode());
         switch(e.getKeyCode()) {
         case 37:
            PlaneGameFrame.this.p.left = false;
            break;
         case 38:
            PlaneGameFrame.this.p.up = false;
            break;
         case 39:
            PlaneGameFrame.this.p.right = false;
            break;
         case 40:
            PlaneGameFrame.this.p.down = false;
         }

         super.keyReleased(e);
      }
   }
}
